// Copyright (c) Microsoft Corporation. 
// Licensed under the MIT license.

#include "ClippingPlaneDataVisualizerCustomizations.h"
#include "DetailCategoryBuilder.h"
#include "DetailLayoutBuilder.h"
#include "DetailWidgetRow.h"
#include "ClippingPlaneDataVisualizer.h"
#include "CustomizationHelper.h"
#define LOCTEXT_NAMESPACE "SimplygonClippingPlaneVisualizerCustomization" 


FSimplygonClippingPlaneVisualizerDetailsCustomization::FSimplygonClippingPlaneVisualizerDetailsCustomization()
{

}

TSharedRef<IDetailCustomization> FSimplygonClippingPlaneVisualizerDetailsCustomization::MakeInstance()
{
	return MakeShareable(new FSimplygonClippingPlaneVisualizerDetailsCustomization);
}


template<typename TObject>
TArray<TObject*> GetObjectBeingCustomized(IDetailLayoutBuilder* DetailBuilder)
{
	TArray<TWeakObjectPtr<UObject>> ObjectsBeingCustomized;
	DetailBuilder->GetObjectsBeingCustomized(ObjectsBeingCustomized);
	TArray<TObject*> Result;
	for (TWeakObjectPtr<UObject> Obj : ObjectsBeingCustomized)
	{
		if (Obj.IsValid())
		{
			TObject* ObjTemp = Cast<TObject>(Obj.Get());
			if (ObjTemp)
				Result.Add(ObjTemp);
		}
	}
	return Result;
}


void FSimplygonClippingPlaneVisualizerDetailsCustomization::CustomizeDetails(IDetailLayoutBuilder& DetailBuilder)
{


	IDetailCategoryBuilder& Category = DetailBuilder.EditCategory("Asset Actions", FText::GetEmpty(), ECategoryPriority::Important);

	//Category.AddExternalStructure()

}

#undef LOCTEXT_NAMESPACE 
